input.Error {
    border-color: darkred;
    background-color: #ff0000;
    color: white;
}

.Editor.checkbox.Error {
    background-color: darkred;
}

.Editor {
    display: inline-block;
    cursor: pointer;
    margin-right: 5px !important;
}

    .Editor.multiline .Editable {
        white-space: pre-wrap;
        word-break: break-all;
    }

.Editor input[type=checkbox] {
    margin: 0;
    position: static;
}

.Editable {
    text-decoration: underline;
}

.Editable.disabled {
    text-decoration: none;
}

sgtexteditor {
    display: inline-block;
}

.Editor.multiline {
    width: 100%;
}

    .Editor.multiline textrea {
        width: 100%;
    }

.ProjectDetails label {
    display: inline-block;
    font-weight: bold;
}


.Saving {
    animation: savinganimation 1s infinite;
}

.CloseButton {
    font-size: 40px;
    cursor: pointer;
    position: absolute;
    right: -7px;
    top: -14px;
    padding: 10px;
}

@keyframes savinganimation {
    0% {
        color: initial;
    }
    50% { color: yellow; }
    100% {
        color: initial;
    }
}

.Saved {
    animation: savedanimation 10s;
}

@keyframes savedanimation {
    0% {
        color: green;
    }

    100% {
        color: initial;
    }
}

.checkbox {
    margin: 0;
}

.Saving.checkbox {
    animation: savingcheckboxanimation 1s infinite;
}

@keyframes savingcheckboxanimation {
    0% {
        background-color: initial;
    }

    50% {
        background-color: yellow;
    }

    100% {
        background-color: initial;
    }
}

.Saved.checkbox {
    animation: savedcheckboxanimation 10s;
}

@keyframes savedcheckboxanimation {
    0% {
        background-color: green;
    }

    100% {
        background-color: initial;
    }
}

.DropDownEditor {
    position: relative;
}

    .DropDownEditor select {
        position: absolute;
        opacity: 0;
        top: 0;
        left: 0;
        right: 0;
        height: 100%;
        margin: 0;
        padding: 0;
    }




    /*****iPhone X*****/

.iPhoneXPadding .bottom-bar {
    border-bottom: env(safe-area-inset-bottom) solid black;
}